# busby_1st/views/notgatewayed.py
#
# Part of kepi.
# Copyright (c) 2018-2020 Marnanel Thurman.
# Licensed under the GNU Public License v2.

import logging
logger = logging.getLogger(name='kepi')

import django.views
from django.shortcuts import render

class KepiNotGatewayed(django.views.View):

    def get(self, request):

        logger.warning('Oh dear-- your gateway is broken')

        result = render(
                request=request,
                template_name='notgatewayed.txt',
                content_type='text/plain',
                )

        return result
